### Function

# Camel debug_get_backtrace

since: 3.12

#### Declaration [src]

    GString*
    camel_debug_get_backtrace (
      void
    )

#### Description [src]

Gets current backtrace leading to this function call and demangles it.

Available since: 3.12

#### Return value

Type: `GString`

Current backtrace, or `NULL`, if cannot determine it.

Note: Getting backtraces only works if the library was configured with —enable-backtraces.

See also camel_debug_get_raw_backtrace().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.